/* Copyright (c) 2002 Petr Bilek
   Tento kod je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne license GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* vyhodnot_nov_text.c */

#include "struktury.h"
#include "lib.h"

void
vyhodnot_nov_text(type_nastaveni * nastaveni, type_odstavec * odstavec,
                  type_znamka z)
{
    char *text[3];
    type_informace infolekce;

    text[0] = "Psan volnho textu ";
    text[1] = NULL;
    text[2] = NULL;

    memcpy(infolekce.presnost, nastaveni->vtext.presnost,
           sizeof(infolekce.presnost));
    memcpy(infolekce.rychlost, nastaveni->vtext.rychlost,
           sizeof(infolekce.rychlost));
    infolekce.mezernik = nastaveni->vtext.mezernik;

    if ((((nastaveni->vtext.rychlost[3] +
           nastaveni->vtext.rychlost[4]) / 2)
         <= z.uh_min)
        && ((int)
            ((nastaveni->vtext.presnost[3] +
              nastaveni->vtext.presnost[4]) / 2.0) >=
            (int) (z.proc_chyb * 100.0))) {
        text[1] = "Gratuluji !";
    } else
        text[1] = "Je mi lto ";

    if ((z.znamka_presnost > 4.5) && (z.znamka_cas < 2.1))
        print_hl(1, "Pite pomaleji !!");
    else if ((z.znamka_presnost < 1.5) && (z.znamka_cas < 2.1))
        print_hl(1, "To bylo skvl !");

    vypis_vyhodnoceni(odstavec, infolekce, z, text);
}
